<?xml version="1.0" encoding="UTF-8"?>
<configuration>
    <system.webServer>
        <rewrite>
            <rules>
                <rule name="Imported Rule 1">
                    <match url="^(/*)\.html" ignoreCase="false" />
                    <action type="Rewrite" url="{R:1}\.php" />
                </rule>
                <rule name="Imported Rule 2">
                    <match url="^captcha.jpg$" ignoreCase="false" />
                    <action type="Rewrite" url="./captcha/captcha.php" />
                </rule>
                <rule name="Imported Rule 3">
                    <match url="^tag(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/tags.php" />
                </rule>
                <rule name="Imported Rule 4">
                    <match url="^tag/([^/]+)(|/)$" ignoreCase="false" />
                    <action type="Rewrite" url="/tags.php?search={R:1}" appendQueryString="false" />
                </rule>
                <rule name="Imported Rule 5">
                    <match url="^articles/archive$" ignoreCase="false" />
                    <action type="Rewrite" url="./articles.php?archive=true" appendQueryString="true" />
                </rule>
                <rule name="Imported Rule 6">
                    <match url="^articles/archive?pageNumber=(.*)$" ignoreCase="false" />
                    <action type="Rewrite" url="./articles.php?archive=true&amp;pageNumber={R:1}" appendQueryString="false" />
                </rule>
                <rule name="Imported Rule 7">
                    <match url="^articles/category/(.*)$" ignoreCase="false" />
                    <action type="Rewrite" url="./articles.php?category={R:1}" appendQueryString="false" />
                </rule>
                <rule name="Imported Rule 8">
                    <match url="^articles/rss.xml$" ignoreCase="false" />
                    <action type="Rewrite" url="./xml/rss.php" />
                </rule>
                <rule name="Imported Rule 9">
                    <match url="^articles/(.*)-(.*)/in/category/(.*)$" ignoreCase="false" />
                    <action type="Rewrite" url="./articles.php?id={R:1}&amp;category={R:3}" appendQueryString="false" />
                </rule>
                <rule name="Imported Rule 10">
                    <match url="^articles/(.*)-(.*)/in/archive$" ignoreCase="false" />
                    <action type="Rewrite" url="./articles.php?id={R:1}&amp;archive=true" appendQueryString="false" />
                </rule>
                <rule name="Imported Rule 11">
                    <match url="^articles?articles=(.*)-(.*)$" ignoreCase="false" />
                    <action type="Rewrite" url="./articles?articles={R:1}-(.*)" appendQueryString="false" />
                </rule>
                <rule name="Imported Rule 12">
                    <match url="^static/components/updateHabboCount$" ignoreCase="false" />
                    <action type="Rewrite" url="/static/updateHabboCount.php" />
                </rule>
                <rule name="Imported Rule 13">
                    <match url="^static/gamedata/figuredata$" ignoreCase="false" />
                    <action type="Rewrite" url="/static/gamedata/figuredata.xml" />
                </rule>
                <rule name="Imported Rule 14">
                    <match url="^static/gamedata/furnidata(/*)$" ignoreCase="false" />
                    <action type="Rewrite" url="/static/gamedata/furnidata.txt" />
                </rule>
                <rule name="Imported Rule 15">
                    <match url="^static/gamedata/productdata(/*)$" ignoreCase="false" />
                    <action type="Rewrite" url="/static/gamedata/productdata.txt" />
                </rule>
                <rule name="Imported Rule 16">
                    <match url="^static/gamedata/external$" ignoreCase="false" />
                    <action type="Rewrite" url="/static/gamedata/external.php" />
                </rule>
                <rule name="Imported Rule 17">
                    <match url="^static/gamedata/external_variables(/*)$" ignoreCase="false" />
                    <action type="Rewrite" url="/static/gamedata/external_variables.php" />
                </rule>
                <rule name="Imported Rule 18">
                    <match url="^static/gamedata/external_flash_texts(/*)$" ignoreCase="false" />
                    <action type="Rewrite" url="/static/gamedata/external_flash_texts.php" />
                </rule>
                <rule name="Imported Rule 19">
                    <match url="^(([A-Za-z0-9\-_]+/)*[A-Za-z0-9\-_]+)?$" ignoreCase="false" />
                    <conditions logicalGrouping="MatchAll">
                        <add input="{REQUEST_FILENAME}" matchType="IsDirectory" ignoreCase="false" negate="true" />
                        <add input="{REQUEST_FILENAME}" matchType="IsFile" ignoreCase="false" negate="true" />
                    </conditions>
                    <action type="Rewrite" url="{R:1}.php" />
                </rule>
            </rules>
        </rewrite>
    </system.webServer>
</configuration>
